Subject: RE: DAD vs. DIID - multiple IIDs?

From: "Deshpande, Prasad" <[email-masked]>
Date: Mon, 29 Jul 2002 14:38:02 -0400

> > From: "Deshpande, Prasad" <[email-masked]>
> 
> > I have some questions related to multiple IIDs on an interface
> > 
> > - When and why would someone configure multiple IIDs on an 
> interface?
> 
> offhand, perpaps
> 
> - for a server you might want manually configure nice "prefix::1"
>   address in addition to the automaticly generated id (or even many
>   id's you have webserver: id=1, mailserver: id=2, etc.). Now,
>   depening on needs, you can designate any host as server by adding
>   the servers "locally-well-known-id" to a host (and removing it from
>   another).
> 
> - privacy draft (3041?) didn't exactly call for generation of id only,
>   but it could be done that way too (just generate random id's to be
>   used).
> 
> > - If multiple IIDs are configured on an interface, does 
> that imply that 
> >   the interface has multiple link-local addresses, one 
> created from each 
> >   IID.
> 
> In my case, yes.
> 

   Which IID do you use to send out router advertisements? If someone
deletes that IID, other routers on the link wont receive router
advertisements from it so they will assume that the router with old IID is
gone. 

  From my understanding of RFC 3041, it calls out for having global
addresses based on "random IIDs". I assume these "random IIDs" are never
used to construct link local addresses. Let me know if this is not the case.

  In your first example, webserver and mailserver could have addresses
prefix::1 and prefix::2 but their interface IDs can be A1 (!= 1) and
B1 (!= 2). 

    What I am trying to say is that you could have just one IID 
(and so one link-local address) but multiple interface addresses some of
which may be constructed using the IID. Then you can do a DAD on all
addresses - including the link-local address.
   
thanks
-prasad

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------